V11 Service Pack 9
Loading...

System Requirements - MediaAgent

The following requirements are for the MediaAgent:

Best Practice

Use the latest version of the operating system software listed in the Operating System table. Commvault software fully supports the latest version of an operating system until the vendor ends support. Newer versions of Commvault software might not install on operating systems for which vendor support has ended. For information about the Microsoft support lifecycle, go to the Microsoft Support website, Microsoft Support Lifecycle. For support lifecycle information for other operating systems, contact the appropriate software vendor.

Operating System

Architecture

AIX

AIX 7.2 64-bit

Power PC (Includes IBM System p)

AIX 7.1 64-bit

Power PC (Includes IBM System p)

AIX 6.1 64-bit

Power PC (Includes IBM System p)

HP-UX

HP-UX 11i v3 (11.31) 64-bit

Itanium

HP-UX 11i v2 (11.23) 64-bit

Itanium

Linux

OpenSuSE

OpenSuSE 13.2 with glibc 2.19*

*Tape Libraries/Drives are not supported.

x64

Oracle Linux

Oracle Linux 7.x with glibc 2.17.x

x86, x64 or compatible processors

Oracle Linux 6.x with glibc 2.12.x

x86, x64 or compatible processors

Oracle Linux 6.x with glibc 2.12.x

x86, x64 or compatible processors

Oracle Linux 5.x with glibc 2.5.x

Intel Pentium, x64 or compatible processors

Red Flag Linux

Red Flag Linux AS 4.1 32-bit with glibc 2.3.x

Intel Pentium or compatible 650 MHz processor minimum recommended; Dual 1 GHz or higher processors recommended

Red Hat Enterprise Linux AS/ES

Red Hat Enterprise Linux AS 5.x with glibc 2.5

x64

Red Hat Enterprise Linux/CentOS

Red Hat Enterprise Linux/CentOS Server 5 with glibc 2.5.x

Power PC (Includes IBM System p)

Red Hat Enterprise Linux/CentOS 7.x with glibc 2.17.x

x86, x64, Power PC or compatible processors

Red Hat Enterprise Linux/CentOS 6.x with glibc 2.12.x

Intel Pentium, Power PC (Includes IBM System p) or compatible processors

Red Hat Enterprise Linux/CentOS 6.x with a minimum of glibc 2.12-1.25.x

x64

Red Hat Enterprise Linux/CentOS 5.x with glibc 2.5.x

Intel Pentium, x64, Power PC (Includes IBM System p) or compatible processors

Red Hat Enterprise Linux/CentOS 5 Advanced Platform with glibc 2.5.x

Intel Pentium or compatible 650 MHz processor minimum recommended; Dual 1 GHz or higher processors recommended

Red Hat Enterprise Linux/CentOS 5 Advanced Platform with glibc 2.5.x

x64

SuSE Linux (SLES)

SuSE Linux 12.x with glibc 3.x

x86, x64, Power PC or compatible processors

SuSE Linux 12.x with glibc 2.19.x

Intel Pentium, x64, Power PC (Includes IBM System p) or compatible processors

SuSE Linux 11.x with glibc 3.x

x86, x64, Power PC or compatible processors

SuSE Linux 11.x with glibc 2.9.x and later

x86, x64, Power PC or compatible processors

SuSE Linux 11.x with glibc 2.11.x

Intel Pentium, x64 or compatible processors

SuSE Linux 10 Enterprise Server Edition with glibc 2.6.x

x86, x64, Power PC or compatible processors

SuSE Linux 10 Enterprise Server Edition with glibc 2.4.x

x86, x64, Power PC or compatible processors

Ubuntu

Ubuntu 16.04 LTS

AMD64, Intel 64, or compatible processors

Ubuntu 14.04 LTS

Intel Pentium, Itanium, x64 or compatible processors

Ubuntu 12.04 LTS

x86, x64 or compatible processors

Ubuntu 10.04 LTS

Intel Pentium, x64 or compatible processors

Solaris

Solaris 11.x

Ultra5 station or higher; Dual Processors recommended

Solaris 11.x

x64

Solaris 10 Update 6 or equivalent*

*sol-10-encrypt-GA-iso.zip package is required on Solaris 10.

x64

Solaris 10 Update 6 or equivalent*

*sol-10-encrypt-GA-iso.zip package is required on Solaris 10.

UltraSPARC-II or higher; Dual Processors recommended

Windows

Windows 2012

Microsoft Windows Server 2012 R2 Editions

See Considerations for Microsoft Windows Server 2012, 2012 R2, and Windows 8 for more information.

Microsoft Windows Server 2012 Editions

See Considerations for Microsoft Windows Server 2012, 2012 R2, and Windows 8 for more information.

All Windows-compatible processors supported

Windows 8

Microsoft Windows Client 8.1*

See Considerations for Microsoft Windows Server 2012, 2012 R2, and Windows 8 for more information.

*Tape Libraries/Drives are not supported.

All Windows-compatible processors supported

Windows 7

Microsoft Windows 7 Editions*

*Tape Libraries/Drives are not supported.

All Windows-compatible processors supported

Windows 10

Microsoft Windows 10*

*Tape Libraries/Drives are not supported.

All Windows-compatible processors supported

Windows 2016

Microsoft Windows Server 2016 Editions

*See Considerations for Microsoft Windows Server 2016 for more information.

All Windows-compatible processors supported

Windows 8

Windows 8

Microsoft Windows 8 Editions*

*Tape Libraries/Drives are not supported.

All Windows-compatible processors supported

AIX LPAR Support

Data protection on Logical Partitioning (LPAR) is supported.

Hardware Specifications

General guidelines on the hardware required for MediaAgents installed either on physical or virtual machines is explained in Hardware Specifications for MediaAgent.

Notes:

Miscellaneous

The File System Agent is installed automatically during the installation of this software component (if it is not installed already). To review the system requirements of the File System Agent, see System Requirements - Microsoft Windows File System Agent.

Microsoft Visual C++

The following Redistributable Package is installed automatically. Note that the Redistributable Package can co-exist with other versions of this software.

Microsoft Visual C++ 2010 Redistributable Package

Cloud Server Support

The MediaAgent can be installed on a Virtual Server in a Cloud. For example, Virtual Server in Amazon EC2.

After the installation, make sure that the remote clients can access this MediaAgent.

.NET Framework

.NET Framework 4.5 is automatically installed. Note that .NET Framework 4.5 can co-exist with other versions of this software.

Hardware Compatibility List

For information on Tape Hardware/Driver support, see Hardware Matrix.

DISCLAIMER

Third-party maintenance (minor) releases or service packs that are supported by the Commvault software may not be listed in our System Requirements. When possible, Commvault provides information on any known issues related to these minor releases or service packs. In some cases, these minor releases or service packs affect how the Commvault software works. Commvault software may experience changes in functionality as the result of the third-party minor release or service pack. These changes are beyond the control of Commvault. Platforms that are supported in the current version of Commvault software may not be supported in earlier versions of the software. Contact your software provider to ensure that third-party minor releases or service packs are compatible with the Commvault software.

Additional considerations regarding minimum requirements and End-of-Life policies from third-party vendors also apply.